Множественные уязвимости в Adobe Reader/Acrobat

Дата публикации:
06.02.2008
Дата изменения:
05.03.2008
Всего просмотров:
3128
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-5659
CVE-2007-5663
CVE-2007-5666
CVE-2008-0655
CVE-2008-0667
CVE-2008-0726
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Adobe Reader 8.x
Adobe Acrobat 8.x
Adobe Acrobat Professional 8
Acrobat 3D
Уязвимые версии:
Adobe Acrobat 3D
Adobe Acrobat 8 Professional
Adobe Acrobat 8.x
Adobe Reader 8.x

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

1. Уязвимость существует из-за различных ошибок проверки границ данных в некоторых JavaScript методах. Удаленный пользователь может с помощью специально сформированного .PDF файла вызвать переполнение буфера и выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за небезопасной обработки некоторых JavaScript методов в EScript.api. Удаленный пользователь может с помощью специально сформированного .PDF файла вызвать переполнение буфера и выполнить произвольный код на целевой системе.

3. Уязвимость существует из-за ошибки при загрузке библиотек "Security Provider". Злоумышленник может обманом заставить пользователя открыть .PDF файл в директории, где хранится специально сформированная "Security Provider" библиотека.

4. Уязвимость существует из-за того, что приложение использует небезопасный JavaScript метод "DOC.print()".

Подробности о других уязвимостях не известны.

5. Целочисленное переполнение обнаружено в JavaScript методе "printSepsWithParams()". Удаленный пользователь может с помощью специально сформированного .PDF файла вызвать повреждение памяти и скомпрометировать целевую систему.

URL производителя: www.adobe.com/products/reader/

Решение: Установите последнюю версию 8.1.2 с сайта производителя.

Журнал изменений:

08.02.2008
Обновлена секция «Программа»
Обновлено описание уязвимости.
Повышена опасность уязвимости.
13.02.2008
Добавлена уязвимость #5.

Ссылки: iDefense Security Advisory 02.08.08: Adobe Reader and Acrobat JavaScript Insecure Method Exposure Vulnerability
iDefense Security Advisory 02.08.08: Adobe Reader Security Provider Unsafe Libary Path Vulnerability
iDefense Security Advisory 02.08.08: Adobe Reader and Acrobat Multiple Stack-based Buffer Overflow Vulnerabilities
Silent Print Vulnerability in Adobe Acrobat/Reader
ZDI-08-004: Adobe AcrobatReader Javascript for PDF Integer Overflow Vulnerability
http://www.adobe.com/support/security/advisories/apsa08-01.html

или введите имя

CAPTCHA